curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/journal-entries' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"journal_entries": [
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
}
],
"total": 102
}
List journal entries
List journal entries
GET
/
api
/
v1
/
gl
/
journal-entries
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/journal-entries' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"journal_entries": [
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
}
],
"total": 102
}
Query parameters
string
string
One of
draft, pending, posted, voided, reversed.string
One of
standard, adjusting, closing, reversing, opening.string
string
Inclusive start date in
YYYY-MM-DD format.string
Inclusive end date in
YYYY-MM-DD format.integer (int32)
integer (int32)
Response
JournalEntryListResponse
JournalEntryResponse[]
required
Show JournalEntryResponse
Show JournalEntryResponse
string
required
string
required
string
required
string
required
string
required
string
required
boolean
required
JournalEntryLineResponse[]
required
string
required
string,null
string,null
string,null
string,null
string
required
string
required
string
required
Decimal total credits as a string.
string
required
Decimal total debits as a string.
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/journal-entries' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"journal_entries": [
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"entry_date": "2026-08-31T14:22:05Z",
"entry_number": "string",
"entry_type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_balanced": true,
"lines": [],
"period_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"posted_at": "2026-08-31T14:22:05Z",
"posted_by": "string",
"reversed_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reversing_entry_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": "string",
"status": "pending",
"total_credits": "string",
"total_debits": "string"
}
],
"total": 102
}
Last modified on August 31, 2026